List Domains For Organization

List Domains For Organization
List domains for an organization

Retrieve all domains available in an organization for the current user. This will return unscoped domains (those without an owning organization), domains that are scoped to the given organization (owned by the given organization), and domains that have been shared with the organization.

To retrieve the default domain for an organization, use the get default domain endpoint.

Request
URI
GET
https://api.example.local/v3/organizations/{guid}/domains
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

Query Parameters
integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at
string of array
names
Optional

Comma-delimited list of domain names to filter by


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns DomainList of type(s) application/json
{
    "pagination": {
        "total_results": 0,
        "total_pages": 0,
        "first": {
            "href": "string",
            "method": "string"
        },
        "last": {
            "href": "string",
            "method": "string"
        },
        "next": {
            "href": "string",
            "method": "string"
        },
        "previous": {
            "href": "string",
            "method": "string"
        }
    },
    "resources": [
        {
            "guid": "string",
            "created_at": "string",
            "updated_at": "string",
            "name": "string",
            "internal": false,
            "router_group": {
                "guid": "string"
            },
            "supported_protocols": [
                "string"
            ],
            "relationships": {},
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "organization": {
                    "href": "string",
                    "method": "string"
                },
                "route_reservations": {
                    "href": "string",
                    "method": "string"
                },
                "shared_organizations": {
                    "href": "string",
                    "method": "string"
                },
                "router_group": {
                    "href": "string",
                    "method": "string"
                }
            }
        }
    ]
}
object
pagination
Optional

Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.

array of object
resources
Optional

A domain is a fully qualified domain name that is used for application routes. A domain can be scoped to an organization, meaning it can be used to create routes for spaces inside that organization, or be left unscoped to allow all organizations access.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/organizations/{guid}/domains